%define name gespeaker
%define version 0.8.6
%define release %mkrel 1

Summary:        A Gtk frontend for espeak
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Accessibility
License:        GPL
URL:            http://ubuntrucchi.wordpress.com/gespeaker/
Source0:        %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  desktop-file-utils python-devel    
Requires: python >= 2.6     
Requires: pygtk2.0
Requires: pygtk2.0-libglade
Requires: %{_lib}alsa2
Requires: espeak
Requires: mbrola
Requires: python-pyxdg
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes:  %name < %version


%description
Gespeaker is a project realized with Python and PyGTK libraries which allows the system to speak and read a written text or loaded from an external file.This is a nice interface for espeak system that will be automatically installed if not present.

It’s designed for multilingual environments, so that if you run on a system with Italian language the user interface will be shown in Italian, on a system with english language the user interface will be in english. The system is opened to various localizations, it’s just needed the corresponding language file.



%prep
%setup -q 

%build
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot} 
desktop-file-install --vendor="" \
      --add-category="X-MandrivaLinux-Multimedia-Sound" \
     --dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# icons
mkdir -p %buildroot/{%_liconsdir,%_miconsdir,%_iconsdir} 
install -m 644 data/icons/%name.svg %buildroot/%_liconsdir/%name.png 
convert %{buildroot}%_liconsdir/%{name}.png -resize 48x48 %{buildroot}%_liconsdir/%{name}.png
install -m 644 data/icons/%name.svg %{buildroot}%_miconsdir/%{name}.png
convert %{buildroot}%_miconsdir/%{name}.png -resize 16x16 %{buildroot}%_miconsdir/%{name}.png 
install -m 644  data/icons/%name.svg %{buildroot}%_iconsdir/%{name}.png
convert %{buildroot}%_iconsdir/%{name}.png -resize 32x32 %{buildroot}%_iconsdir/%{name}.png 
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp %{buildroot}%_liconsdir/%{name}.png $RPM_BUILD_ROOT%{_datadir}/pixmaps
#remove
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus


%postun
%clean_menus


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc doc/*
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/*.1.bz2
%{py_sitedir}/*
%{_datadir}/pixmaps/%{name}.png
%_miconsdir/%{name}.png
%_iconsdir/%{name}.png
%_liconsdir/%{name}.png

%changelog
* Fri Feb 20 2015 pinoc <vogtpet at gmail.com> 0.8.6-1pclos2015
- 0.8.6
- no noarch because of %{_lib}alsa2
- added missing Req. python-pyxdg

* Sat Sep 11 2010 Texstar <texstar at gmail.com> 0.8-1pclos2010
- Update

* Sun Dec 13 2009 slick50 <lxgator@gmail.com> 0.7-1pclos2010
- 0.7

* Tue Jul 21 2009 slick50 <lxgator@gmail.com> 0.6-1pclos2009
- 0.6

* Tue Jun 30 2009 slick50 <lxgator@gmail.com> 0.5-1pclos2009
- 0.5

* Tue Jun 23 2009 slick50 <lxgator@gmail.com> 0.4-1pclos2009
- 0.4

* Mon Jun 15 2009 slick50 <lxgator@gmail.com> 0.2-1pclos2009
- initial build
